import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_LearningHARK001(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        self.addSheet("LOOP0")

        self.activateSheet("LOOP0")
        self.addNode("Delta")
        self.addTerminalRole("node_Delta_1","INPUT","Input",)
        self.addTerminalRole("node_Delta_1","OUTPUT","Output",)

        # build main loop
        self.activateSheet("MAIN")
        for node in ["Constant","InputStream","LOOP0"]:
            self.addNode(node)

        self.reshape()
        self.connect("node_Constant_1","VALUE",
                     "node_InputStream_1","INPUT")
        self.connect("node_InputStream_1","OUTPUT",
                     "node_LOOP0_1","INPUT")

        self.addTerminalRole("node_LOOP0_1","OUTPUT","Output","ASR");
        
        #raw_input()
        # build main
        self.screenshot("png", "demo-RecognitionMFCC-", True)

if __name__ == "__main__":
    unittest.main()
